Index: test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 4213)
@@ -96,7 +96,7 @@
   	  {
 		  PropertyService.getInstance("build/tests");
   		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
   	  }
   	  catch(Exception e)
   	  {
@@ -148,7 +148,7 @@
         try {
             System.out.println("---- SQL ------------------");
             QuerySpecification qspec = new QuerySpecification(xml, 
-                    PropertyService.getProperty("saxparser"), 
+                    PropertyService.getProperty("xml.saxparser"), 
                     PropertyService.getProperty("document.accNumSeparator"));
             String query = qspec.printSQL(false);
            assertTrue(selectionQuery.equals(query.trim()));
@@ -167,7 +167,7 @@
         try {
             System.out.println("---- orginal EXT SQL  ------------------\n"+extendedQuery);
             QuerySpecification qspec = new QuerySpecification(xml, 
-                    PropertyService.getProperty("saxparser"), 
+                    PropertyService.getProperty("xml.saxparser"), 
                     PropertyService.getProperty("document.accNumSeparator"));
             String query = 
                     qspec.printExtendedSQL(
Index: test/edu/ucsb/nceas/metacattest/SubTreeTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4213)
@@ -53,7 +53,7 @@
 	  {
 		  PropertyService.getInstance("build/tests");
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4213)
@@ -83,7 +83,7 @@
 		  {
 			  PropertyService.getInstance("build/tests");
 			  MetaCatUtil.pathsForIndexing 
-			         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+			         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 		  }
 		  catch(Exception e)
 		  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4213)
@@ -57,7 +57,7 @@
 	  {
 		  PropertyService.getInstance("build/tests");
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4213)
@@ -48,7 +48,7 @@
 		try {
 			PropertyService.getInstance("build/tests");
 			MetaCatUtil.pathsForIndexing = MetaCatUtil.getOptionList(
-					PropertyService.getProperty("indexPaths"));
+					PropertyService.getProperty("xml.indexPaths"));
 		} catch (Exception e) {
 			System.err.println("Exception in initialize option in MetacatServletNetTest "
 					+ e.getMessage());
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4213)
@@ -57,7 +57,7 @@
 	  {
 		  PropertyService.getInstance("build/tests");
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4213)
@@ -64,7 +64,7 @@
 	  {
 		  PropertyService.getInstance("build/tests");
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4213)
@@ -56,7 +56,7 @@
 	  {
 		  PropertyService.getInstance("build/tests");
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/QueryGroupTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 4213)
@@ -47,7 +47,7 @@
   	  {
 		  PropertyService.getInstance("build/tests");
   		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
   	  }
   	  catch(Exception e)
   	  {
Index: test/edu/ucsb/nceas/metacattest/BuildIndexTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 4213)
@@ -86,7 +86,7 @@
   	  {
   		  PropertyService.getInstance("build/tests");
   		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
   	  }
   	  catch(Exception e)
   	  {
Index: test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4212)
+++ test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 4213)
@@ -57,7 +57,7 @@
                      PropertyService.getProperty("junitreplicationurl");
 			  PropertyService.getInstance("build/tests");
 			  MetaCatUtil.pathsForIndexing 
-			         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+			         = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
 		  }
 		  catch(Exception e)
 		  {
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 4212)
+++ lib/metacat.properties	(revision 4213)
@@ -133,6 +133,7 @@
 ldap.templates.searchResults=searchResults.tmpl
 
 ############### Organization Values ###############
+
 #ldap.NCEAS.dn=o=NCEAS,dc=ecoinformatics,dc=org
 organization.configured.NCEAS=false
 organization.name.NCEAS=National Center for Ecological Analysis and Synthesis
@@ -227,17 +228,17 @@
 
 ######## XML / EML  #########################################
 
-saxparser=org.apache.xerces.parsers.SAXParser
-eml2_0_0namespace=eml://ecoinformatics.org/eml-2.0.0
-eml2_0_1namespace=eml://ecoinformatics.org/eml-2.0.1
-eml2_1_0namespace=eml://ecoinformatics.org/eml-2.1.0
-packagedoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN, -//ecoinformatics.org//eml-dataset-2.0.0beta4//EN
-accessdoctype=-//ecoinformatics.org//eml-access-2.0.0beta6//EN, -//ecoinformatics.org//eml-access-2.0.0beta4//EN
-physicaldoctype=-//ecoinformatics.org//eml-physical-2.0.0beta6//EN, -//ecoinformatics.org//eml-physical-2.0.0beta4//EN
-entitydoctype=-//ecoinformatics.org//eml-entity-2.0.0beta6//EN, -//ecoinformatics.org//eml-entity-2.0.0beta4//EN
-packagedoctypeset=BIN,-//ecoinformatics.org//eml-access-2.0.0beta6//EN,-//ecoinformatics.org//eml-access-2.0.0beta4//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta4//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta4//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta4//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN,-//ecoinformatics.org//eml-entity-2.0.0beta6//EN,-//ecoinformatics.org//eml-entity-2.0.0beta4//EN,-//ecoinformatics.org//eml-literature-2.0.0beta6//EN,-//ecoinformatics.org//eml-literature-2.0.0beta4//EN,-//ecoinformatics.org//eml-physical-2.0.0beta6//EN,-//ecoinformatics.org//eml-physical-2.0.0beta4//EN,-//ecoinformatics.org//eml-project-2.0.0beta6//EN,-//ecoinformatics.org//eml-project-2.0.0beta4//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta4//EN,-//ecoinformatics.org//eml-software-2.0.0beta6//EN,-//ecoinformatics.org//eml-software-2.0.0beta4//EN
-indexNamespaces=eml://ecoinformatics.org/eml-2.0.0,eml://ecoinformatics.org/eml-2.0.1
-indexPaths=organizationName,originator/individualName/surName,originator/individualName/givenName,originator/organizationName,creator/individualName/surName,creator/individualName/givenName,creator/organizationName,dataset/title,keyword,geographicCoverage/boundingCoordinates/northBoundingCoordinate,geographicCoverage/boundingCoordinates/southBoundingCoordinate,geographicCoverage/boundingCoordinates/westBoundingCoordinate,geographicCoverage/boundingCoordinates/eastBoundingCoordinate,eastBoundingCoordinate,title,entityName,individualName/surName,abstract/para,surName,givenName,para,geographicDescription,literalLayout,eastbc,northbc,westbc,southbc,dataset/access/allow/principal,entityName,taxonRankValue,dataset/dataTable/physical/distribution/online/url,dataset/spatialRaster/physical/distribution/online/url,@packageId,/reviewHistory/review/packageId,EcogridRegEntry/description,EcogridRegEntry/serviceName,EcogridRegEntry/endPoint,associatedParty/individualName/surName,associatedParty/organizationName,coverage/temporalCoverage/singleDateTime/alternativeTimeScale/timeScaleName,coverage/temporalCoverage/rangeOfDates/beginDate/alternativeTimeScale/timeScaleName,coverage/temporalCoverage/rangeOfDates/endDate/alternativeTimeScale/timeScaleName,placekey,idinfo/citation/citeinfo/title,idinfo/citation/citeinfo/origin,idinfo/keywords/theme/themekey,abstract
+xml.saxparser=org.apache.xerces.parsers.SAXParser
+xml.eml2_0_0namespace=eml://ecoinformatics.org/eml-2.0.0
+xml.eml2_0_1namespace=eml://ecoinformatics.org/eml-2.0.1
+xml.eml2_1_0namespace=eml://ecoinformatics.org/eml-2.1.0
+xml.packagedoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN, -//ecoinformatics.org//eml-dataset-2.0.0beta4//EN
+xml.accessdoctype=-//ecoinformatics.org//eml-access-2.0.0beta6//EN, -//ecoinformatics.org//eml-access-2.0.0beta4//EN
+xml.physicaldoctype=-//ecoinformatics.org//eml-physical-2.0.0beta6//EN, -//ecoinformatics.org//eml-physical-2.0.0beta4//EN
+xml.entitydoctype=-//ecoinformatics.org//eml-entity-2.0.0beta6//EN, -//ecoinformatics.org//eml-entity-2.0.0beta4//EN
+xml.packagedoctypeset=BIN,-//ecoinformatics.org//eml-access-2.0.0beta6//EN,-//ecoinformatics.org//eml-access-2.0.0beta4//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta4//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta4//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta4//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN,-//ecoinformatics.org//eml-entity-2.0.0beta6//EN,-//ecoinformatics.org//eml-entity-2.0.0beta4//EN,-//ecoinformatics.org//eml-literature-2.0.0beta6//EN,-//ecoinformatics.org//eml-literature-2.0.0beta4//EN,-//ecoinformatics.org//eml-physical-2.0.0beta6//EN,-//ecoinformatics.org//eml-physical-2.0.0beta4//EN,-//ecoinformatics.org//eml-project-2.0.0beta6//EN,-//ecoinformatics.org//eml-project-2.0.0beta4//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta4//EN,-//ecoinformatics.org//eml-software-2.0.0beta6//EN,-//ecoinformatics.org//eml-software-2.0.0beta4//EN
+xml.indexNamespaces=eml://ecoinformatics.org/eml-2.0.0,eml://ecoinformatics.org/eml-2.0.1
+xml.indexPaths=organizationName,originator/individualName/surName,originator/individualName/givenName,originator/organizationName,creator/individualName/surName,creator/individualName/givenName,creator/organizationName,dataset/title,keyword,geographicCoverage/boundingCoordinates/northBoundingCoordinate,geographicCoverage/boundingCoordinates/southBoundingCoordinate,geographicCoverage/boundingCoordinates/westBoundingCoordinate,geographicCoverage/boundingCoordinates/eastBoundingCoordinate,eastBoundingCoordinate,title,entityName,individualName/surName,abstract/para,surName,givenName,para,geographicDescription,literalLayout,eastbc,northbc,westbc,southbc,dataset/access/allow/principal,entityName,taxonRankValue,dataset/dataTable/physical/distribution/online/url,dataset/spatialRaster/physical/distribution/online/url,@packageId,/reviewHistory/review/packageId,EcogridRegEntry/description,EcogridRegEntry/serviceName,EcogridRegEntry/endPoint,associatedParty/individualName/surName,associatedParty/organizationName,coverage/temporalCoverage/singleDateTime/alternativeTimeScale/timeScaleName,coverage/temporalCoverage/rangeOfDates/beginDate/alternativeTimeScale/timeScaleName,coverage/temporalCoverage/rangeOfDates/endDate/alternativeTimeScale/timeScaleName,placekey,idinfo/citation/citeinfo/title,idinfo/citation/citeinfo/origin,idinfo/keywords/theme/themekey,abstract
 
 ######## Outgoing email  #########################################
 
Index: src/edu/ucsb/nceas/metacat/DBValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 4213)
@@ -71,7 +71,7 @@
     alreadyHandle = false;
     try {
       // Get an instance of the parser
-      String parserName = PropertyService.getProperty("saxparser");
+      String parserName = PropertyService.getProperty("xml.saxparser");
       parser = XMLReaderFactory.createXMLReader(parserName);
       parser.setFeature("http://xml.org/sax/features/validation",true);
       //parser.setValidationMode(true);     // Oracle
Index: src/edu/ucsb/nceas/metacat/MetacatReplication.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 4213)
@@ -1255,7 +1255,7 @@
         {
           String recordDoctype = rs.getString(3);
           Vector packagedoctypes = MetaCatUtil.getOptionList(
-                                     PropertyService.getProperty("packagedoctype"));
+                                     PropertyService.getProperty("xml.packagedoctype"));
           //if this is a package file, put it at the end
           //because if a package file is read before all of the files it
           //refers to are loaded then there is an error
@@ -1303,7 +1303,7 @@
           if(!recordDoctype.equals("BIN"))
           { //don't replicate data files
             Vector packagedoctypes = MetaCatUtil.getOptionList(
-                                     PropertyService.getProperty("packagedoctype"));
+                                     PropertyService.getProperty("xml.packagedoctype"));
             if(recordDoctype != null && !packagedoctypes.contains(recordDoctype))
             {   //if this is a package file, put it at the end
               //because if a package file is read before all of the files it
Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 4213)
@@ -366,10 +366,10 @@
         
         try {
         	MetaCatUtil.pathsForIndexing
-                = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+                = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
         
         	MetaCatUtil.pathsForIndexing = 
-        		MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
+        		MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
         }
         catch (PropertyNotFoundException pnfe) {
         	MetaCatUtil.pathsForIndexing = null;
@@ -3420,7 +3420,7 @@
         Vector packageSet = null;
         try {
         	packageSet = 
-        		MetaCatUtil.getOptionList(PropertyService.getProperty("packagedoctypeset"));
+        		MetaCatUtil.getOptionList(PropertyService.getProperty("xml.packagedoctypeset"));
         } catch (PropertyNotFoundException pnfe) {
         	logMetacat.error("Could not find package doctype set.  Setting to null: " 
         			+ pnfe.getMessage());
Index: src/edu/ucsb/nceas/metacat/ContentTypeProvider.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 4213)
@@ -104,8 +104,8 @@
   private String BINARY     = "binary";
   private String BINARYTYPE = "application/octet-stream";
 
-  private String ENTITYDOCTYPE = "entitydoctype";
-  private String PHYSICALDOCTYPE = "physicaldoctype";
+  private String ENTITYDOCTYPE = "xml.entitydoctype";
+  private String PHYSICALDOCTYPE = "xml.physicaldoctype";
   private String EML2DOCTYPE = "eml2namespace";
   private String DATAFORMAT = "dataFormat";
   private String TEXTFORMAT = "textFormat";
@@ -403,7 +403,7 @@
       }//while
 
       // set up data package type
-      if ((MetaCatUtil.getOptionList(PropertyService.getProperty("packagedoctype"))).
+      if ((MetaCatUtil.getOptionList(PropertyService.getProperty("xml.packagedoctype"))).
                                      contains(packType))
       {
         //this is beta4 or beta6 version
@@ -411,7 +411,7 @@
         packageType = BETA;
       }
       else if ((MetaCatUtil.getOptionList
-               (PropertyService.getProperty("eml2_0_0namespace"))).contains(packType))
+               (PropertyService.getProperty("xml.eml2_0_0namespace"))).contains(packType))
       {
         // this eml 2 document
         logMetacat.warn("This is EML2.0.0 package");
@@ -418,7 +418,7 @@
         packageType = EML2;
       }
       else if ((MetaCatUtil.getOptionList
-               (PropertyService.getProperty("eml2_0_1namespace"))).contains(packType))
+               (PropertyService.getProperty("xml.eml2_0_1namespace"))).contains(packType))
       {
         // this eml 2 document
         logMetacat.warn("This is EML2.0.1 package");
Index: src/edu/ucsb/nceas/metacat/IndexingTimerTask.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 4213)
@@ -59,7 +59,7 @@
 	    		
 	    		dbConn = DBConnectionPool.getDBConnection("IndexingThread");
 	    		serialNumber = dbConn.getCheckOutSerialNumber();
-	            Vector indexNamespaces = MetaCatUtil.getOptionList(PropertyService.getProperty("indexNamespaces"));
+	            Vector indexNamespaces = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexNamespaces"));
 	            String nonJoinCriteria = "b.docid is NULL";
 	    		boolean first = true;
 
Index: src/edu/ucsb/nceas/metacat/PermissionController.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 4213)
@@ -454,7 +454,7 @@
 			// if it is an access document
 			if (doctype != null
 					&& ((MetaCatUtil.getOptionList(PropertyService
-							.getProperty("accessdoctype")).contains(doctype)))) {
+							.getProperty("xml.accessdoctype")).contains(doctype)))) {
 
 				return true;
 			}
Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 4213)
@@ -105,9 +105,9 @@
     	String eml201NameSpace = null;
     	String eml200NameSpace = null;
     	try {
-    		eml210NameSpace = PropertyService.getProperty("eml2_1_0namespace");
-    		eml200NameSpace = PropertyService.getProperty("eml2_0_1namespace");
-    		eml201NameSpace = PropertyService.getProperty("eml2_0_0namespace");
+    		eml210NameSpace = PropertyService.getProperty("xml.eml2_1_0namespace");
+    		eml200NameSpace = PropertyService.getProperty("xml.eml2_0_1namespace");
+    		eml201NameSpace = PropertyService.getProperty("xml.eml2_0_0namespace");
     	} catch (PropertyNotFoundException pnfe) {
     		System.err.println("Could not get property in static block: " 
 					+ pnfe.getMessage());
@@ -2631,7 +2631,7 @@
         PreparedStatement pstmt = null;
         String documenttype = getDocTypeFromDBForCurrentDocument(accnumber);
         try {
-            String packagedoctype = PropertyService.getProperty("packagedoctype");
+            String packagedoctype = PropertyService.getProperty("xml.packagedoctype");
             Vector packagedoctypes = new Vector();
             packagedoctypes = MetaCatUtil.getOptionList(packagedoctype);
             String docIdWithoutRev = MetaCatUtil.getDocIdFromAccessionNumber(accnumber);
@@ -2661,7 +2661,7 @@
             // if it is an access file
             else if (documenttype != null
                     && MetaCatUtil.getOptionList(
-                            PropertyService.getProperty("accessdoctype")).contains(
+                            PropertyService.getProperty("xml.accessdoctype")).contains(
                             documenttype)) {
                 dbconn = DBConnectionPool.getDBConnection(
                         "DocumentImpl.runRelationAndAccessHandeler");
@@ -3032,7 +3032,7 @@
             EntityResolver eresolver;
             DTDHandler dtdhandler;
             // Get an instance of the parser
-            String parserName = PropertyService.getProperty("saxparser");
+            String parserName = PropertyService.getProperty("xml.saxparser");
             parser = XMLReaderFactory.createXMLReader(parserName);
             if (ruleBase != null && ruleBase.equals(EML200)) {
                 logMetacat.warn("Using eml 2.0.0 parser");
Index: src/edu/ucsb/nceas/metacat/ReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 4213)
@@ -896,7 +896,7 @@
       ContentHandler chandler = dh;
 
       // Get an instance of the parser
-      String parserName = PropertyService.getProperty("saxparser");
+      String parserName = PropertyService.getProperty("xml.saxparser");
       parser = XMLReaderFactory.createXMLReader(parserName);
 
       // Turn off validation
Index: src/edu/ucsb/nceas/metacat/RelationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 4213)
@@ -193,7 +193,7 @@
 		Vector accessdoctypes;
 		try {
 			accessdoctypes = MetaCatUtil.getOptionList(PropertyService
-				.getProperty("accessdoctype"));
+				.getProperty("xml.accessdoctype"));
 		} catch (PropertyNotFoundException pnfe) {
 			throw new SQLException("Could not find access doctype: " + pnfe.getMessage());
 		}
Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4213)
@@ -211,7 +211,7 @@
      */
     public DBQuery() throws PropertyNotFoundException
     {
-        String parserName = PropertyService.getProperty("saxparser");
+        String parserName = PropertyService.getProperty("xml.saxparser");
         this.parserName = parserName;
     }
 
@@ -268,7 +268,7 @@
     		this.docidOverride.add(docids);
     	}
         
-        String parserName = PropertyService.getProperty("saxparser");
+        String parserName = PropertyService.getProperty("xml.saxparser");
         this.parserName = parserName;
     }
 
Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 4213)
@@ -238,7 +238,7 @@
 			// if it is data package insert triple into relationtion table;
 			if (doctype != null
 					&& MetaCatUtil.getOptionList(
-							PropertyService.getProperty("packagedoctype")).contains(
+							PropertyService.getProperty("xml.packagedoctype")).contains(
 							doctype) && hasTriple && !isRevisionDoc) {
 
 				// initial handler and write into relationdb only for
@@ -427,7 +427,7 @@
 		try {
 			if (doctype != null
 					&& MetaCatUtil.getOptionList(
-							PropertyService.getProperty("packagedoctype")).contains(doctype)
+							PropertyService.getProperty("xml.packagedoctype")).contains(doctype)
 					&& localName.equals("triple")) {
 				startParseTriple = true;
 				hasTriple = true;
Index: src/edu/ucsb/nceas/metacat/AccessControlList.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 4212)
+++ src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 4213)
@@ -129,7 +129,7 @@
                            String user, String[] groups, int serverCode)
                   throws SAXException, IOException, McdbException, PropertyNotFoundException
   {
-		String parserName = PropertyService.getProperty("saxparser");
+		String parserName = PropertyService.getProperty("xml.saxparser");
 		this.server = SystemUtil.getSecureServerURL();
 		this.sep = PropertyService.getProperty("document.accNumSeparator");
 
@@ -672,8 +672,8 @@
   {
     StringBuffer output = new StringBuffer();
     StringBuffer outTemp = new StringBuffer();
-    String accDoctype = PropertyService.getProperty("accessdoctype");
-    String server = PropertyService.getProperty("server");
+    String accDoctype = PropertyService.getProperty("xml.accessdoctype");
+    String server = PropertyService.getProperty("server.name");
     String docurl = "metacat://" + server + "/?docid=" + docid;
     String systemID;
     boolean isOwned = false;
Index: docs/user/saxparser.html
===================================================================
--- docs/user/saxparser.html	(revision 4212)
+++ docs/user/saxparser.html	(revision 4213)
@@ -45,7 +45,7 @@
       // Get an instance of the parser
       // Get the class name of SAX driver from some XML parser like:
       // org.apache.xerces.parsers.SAXParser
-      <span class="emphasis">String parserName = util.getOption("saxparser");</span>
+      <span class="emphasis">String parserName = util.getOption("xml.saxparser");</span>
       // Given a class name, this method attempts to load and instantiate the class as an XML reader
       <span class="emphasis">parser = XMLReaderFactory.createXMLReader(parserName);</span>
 