Index: build.xml
===================================================================
--- build.xml	(revision 4239)
+++ build.xml	(revision 4240)
@@ -184,6 +184,7 @@
    	  <property name="srcdir"              value="./src" />
    	  <property name="lib.dir"             value="./lib" />
    	  <property name="docdir"              value="./docs" />
+ 	  <property name="cgidir"              value="./cgi-bin" />
       <property name="testdir"             value="./test" />
       <property name="testtorun"           value="BuildIndexTest" />
       <property name="junittestsdir"       value="./test/edu/ucsb/nceas/metacattest" />
@@ -363,7 +364,7 @@
        <delete file="./harvest-list-editor-${release}.tar" />
    </target>
 
-   <target  name="geteml" depends="getemlpre2,geteml2+" if="eml.required"
+   <target  name="geteml" depends="getemlpre2,geteml2+,getConversionXSL" if="eml.required"
             description="Calls getemlpre2 and geteml2+ targets" />
 
    <target name="getemlpre2" depends="prepare" if="eml.required"
@@ -579,7 +580,7 @@
       <delete file="${dev.deploy.dir}/${metacat.context}/WEB-INF/server-config.wsdd"/>
    </target>
 
-   <target name="install-registry" depends="init,getConversionXSL"
+   <!-- target name="install-registry" depends="init,getConversionXSL"
             description="Install Registry">
 
       <mkdir dir="${inst.cgi.dir}" />
@@ -587,10 +588,10 @@
             todir="${inst.cgi.dir}"/>
       <chmod file="${inst.cgi.dir}/register-dataset.cgi" perm="ugo+x" />
 
-      <!-- TODO SCW: set the permissions on this folder to be writable by the apache user -->
+      <! - - TODO SCW: set the permissions on this folder to be writable by the apache user - - >
       <mkdir dir="${temp-dir}" />
-      <!-- TODO SCW: use relative paths to grab these instead of copying to tmp,
-                     used in readDocumentFromMetacat -->
+      <! - - TODO SCW: use relative paths to grab these instead of copying to tmp,
+                     used in readDocumentFromMetacat - - >
       <copy todir="${temp-dir}" filtering="yes">
        <fileset dir="lib/style/common/emlb6toeml2">
          <include name="*.xsl"/>
@@ -599,9 +600,9 @@
       </copy>
 
       <echo message="Install Registry completed." />
-   </target>
+   </target -->
 
-   <target name="install-ldap" depends="init"
+   <!-- target name="install-ldap" depends="init"
             description="Install Metacat LDAP Access">
 
       <mkdir dir="${inst.cgi.dir}" />
@@ -611,11 +612,11 @@
       <mkdir dir="${templates.dir}" />
       <copy todir="${templates.dir}">
         <fileset dir="lib/style/common/templates">
-			<!-- SCW: Copy all files -->
+			< ! - - SCW: Copy all files - - >
         </fileset>
       </copy>
       <echo message="ldapweb install complete." />
-   </target>
+   </target -->
 
 
    <target name="install-skin" depends="init"
@@ -680,8 +681,6 @@
        </war>
    </target>
 	
-	
-
    <target name="warPrepare" depends="jar,clientjar,harvesterjar"
             description="Prepare files for creating a web archive (WAR)">
 
@@ -690,11 +689,17 @@
        <property name="war.context" value="${build.war}/${metacat.context}" />
    	   <property name="war.webinf.sql" value="${war.webinf}/sql" />
    	   <property name="war.context.docs" value="${war.context}/docs" />
+	   <property name="war.context.cgi" value="${war.context}/cgi-bin" />  
+   	   <property name="war.context.temp" value="${war.context}/temp" />
+   	   <property name="war.context.templates" value="${war.context}${style-common-relpath}/templates" />
        <mkdir dir="${war.lib}" />
        <mkdir dir="${war.webinf}" />
        <mkdir dir="${war.context}" />
    	   <mkdir dir="${war.webinf.sql}" />
    	   <mkdir dir="${war.context.docs}" />
+       <mkdir dir="${war.context.cgi}" />
+   	   <mkdir dir="${war.context.temp}" />
+       <mkdir dir="${war.context.templates}" />
        
    	   <!--copy file="${lib.dir}/${jdbc.lib.oracle}" todir="${war.lib}" / -->
 	   <!--copy file="${lib.dir}/${jdbc.lib.postgres}" todir="${war.lib}" / -->
@@ -774,6 +779,30 @@
 	           <include name="**/*.sql"/>
 	         </fileset>
 	   </copy>
+       
+   	   <!-- registry cgi section -->
+       <copy file="src/perl/register-dataset.cgi" todir="${war.context.cgi}"/>
+       <!-- chmod file="${war.context.cgi}/register-dataset.cgi" perm="ugo+x" / -->
+
+       <!-- TODO SCW: set the permissions on this folder to be writable by the apache user -->
+       <!-- TODO SCW: use relative paths to grab these instead of copying to tmp,
+                   used in readDocumentFromMetacat -->
+   	   <!-- TODO MCD copy temp files to actual location using config util?? -->
+       <copy todir="${war.context.temp}" filtering="yes">
+         <fileset dir="lib/style/common/emlb6toeml2">
+           <include name="*.xsl"/>
+           <include name="*.xml"/>
+         </fileset>
+       </copy>
+   	
+       <!-- ldap cgi section -->
+       <copy file="src/perl/ldapweb.cgi" todir="${war.context.cgi}" />
+       <!-- chmod file="${war.context.cgi}/ldapweb.cgi" perm="ugo+x" / -->
+       <copy todir="${war.context.templates}">
+         <fileset dir="lib/style/common/templates">
+			<!-- SCW: Copy all files -->
+         </fileset>
+       </copy>
    </target>
 
    <target name="getConversionXSL" depends="prepare"