Index: lib/admin/admin.css
===================================================================
--- lib/admin/admin.css	(revision 4257)
+++ lib/admin/admin.css	(revision 4258)
@@ -73,12 +73,6 @@
 	margin-right: auto;
 }
 
-.config-section-header {
-	font-size: 16pt;
-	font-weight: bold;
-	border-bottom: solid #dddddd 1px;
-}
-
 .config-line {
 	color: #dddddd;
 	background-color: #dddddd;
@@ -85,58 +79,6 @@
 	height: 1px;
 }
 
-.config-section {
-	display: table;
-	width: 100%
-}
-
-.config-section-hiding {
-	display: none;
-	width: 100%
-}
-
-.config-checkbox {
-	width: 25px;
-	vertical-align: middle;
-}
-
-.config-checkbox-label {
-	text-align: left;
-	vertical-align: middle;
-	width: 600px;
-}
-
-.config-property-label {
-	text-align: right;
-	vertical-align: middle;
-	width: 200px;
-	padding-right: 8px;
-	padding-top: 5px;
-}
-
-.config-property-input {
-	text-align: left;
-	vertical-align: middle;
-	width: 418px;
-	padding-top: 5px;
-}
-
-.config-property-description {
-	text-align: left;
-	font-size: 12;
-	border-bottom: solid #C0C0C0;
-	border-bottom-width: 1px;
-	border-left: solid #C0C0C0;
-	border-left-width: 1px;
-	vertical-align: middle;	
-}
-
-.config-question-mark {
-	text-align: left;
-	vertical-align: middle;
-	padding-top: 5px;
-}
-
 .login-input {
 	width: 150px;
 }
@@ -251,4 +193,62 @@
 
 .configure-link {
 	font-size: 11pt;
-}
\ No newline at end of file
+}
+
+.hiding-section {
+	display: none;
+	width: 100%;
+	margin-left: 2em;
+}
+
+.checkradio {
+	text-align: left;
+	vertical-align: middle;
+	width: 3em;
+}
+
+.checkradio-label {
+	text-align: left;
+	vertical-align: middle;
+	margin-left: 1em;
+}
+
+.checkradio-label-inline {
+ 	display: inline;
+	vertical-align: middle;
+}
+
+.checkradio-description {
+	margin-left: 4.25em;
+	color: gray;
+	font-size: 11;
+}
+
+.textinput {
+	margin-left: 1em;
+	vertical-align: middle;
+	width: 30em;
+}
+
+.textinput-label {
+	text-align: right;
+	vertical-align: middle;
+	float: left;
+	width: 200px;
+}
+
+.textinput-description {
+	margin-left: 210px;
+	color: gray;
+	font-size: 11;
+}
+
+.question-mark {
+	float: right;
+	vertical-align: middle;
+}
+
+.form-row {
+	margin-top: .5em;
+}
+
Index: lib/admin/ldap-configuration.jsp
===================================================================
--- lib/admin/ldap-configuration.jsp	(revision 4257)
+++ lib/admin/ldap-configuration.jsp	(revision 4258)
@@ -60,7 +60,6 @@
 %>
 		<h3><%= metaDataGroup.getName()  %></h3>
 		<hr class="config-line">
-		<table class="config-section">
 <%
 			// get all the properties in this group
 			Map<Integer, MetaDataProperty> propertyMap = 
@@ -72,86 +71,62 @@
     			String fieldType = metaDataProperty.getFieldType(); 
     			if (fieldType.equals("select")) {
 %> 
-			<tr>
-				<td class="config-property-label">
-     				<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>   
-     			</td>	
-     			<td class="config-property-input" >		
-					<select name="<%= metaDataProperty.getKey() %>">
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif" 
+	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+     				<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>	   	
+					<select class="textinput" name="<%= metaDataProperty.getKey() %>">
 <%
 					Vector<String> fieldOptionValues = metaDataProperty.getFieldOptionValues();
 					Vector<String> fieldOptionNames = metaDataProperty.getFieldOptionNames();
 					for (int i = 0; i < fieldOptionNames.size(); i++) {
 %>
-					<option value="<%= fieldOptionValues.elementAt(i) %>"> <%= fieldOptionNames.elementAt(i) %>
+						<option value="<%= fieldOptionValues.elementAt(i) %>"> <%= fieldOptionNames.elementAt(i) %>
 <%
-				}
+					}
 %>
 					</select>
-				</td>
-				<td class="config-question-mark">
-					<img src="style/images/question-mark.gif" 
-	           		       alt="<%= metaDataProperty.getDescription() %>" 
-	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
-				</td>
-			</tr>
-
+				</div> 
+<%
+					if (metaDataProperty.getDescription() != null) {
+%>
+						<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
 <%		
+					}
 				} else if (fieldType.equals("password")) {
 %>
-			<tr>
-				<td class="config-property-label">
-					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
-     			</td>	
-     			<td class="config-property-input" >	
-					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif"  
+	           		     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>	
+					<input class="textinput" id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
 	           		    	value="<%= request.getAttribute(metaDataProperty.getKey()) %>"
-	           		    	type="<%= fieldType %>"
-	           		    	alt="<%= metaDataProperty.getDescription() %>"/> 
-				</td>
-				<td class="config-question-mark">
-					<img src="style/images/question-mark.gif" 
-	           		     alt="<%= metaDataProperty.getDescription() %>" 
-	           		     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
-				</td>
-			</tr>
+	           		    	type="<%= fieldType %>"/> 
+				</div> 
+<%
+					if (metaDataProperty.getDescription() != null) {
+%>
+						<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
 <%		
+					}
 				} else {
 %>
-			<tr>
-				<td class="config-property-label">
-					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
-     			</td>	
-     			<td class="config-property-input" >							
-					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif"  
+					     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>					
+					<input class="textinput" id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
 	    			        value="<%= request.getAttribute(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
-	           		    	type="<%= fieldType %>	"           			
-	           		    	alt="<%= metaDataProperty.getDescription() %>"/>	
-	           	</td>
-				<td class="config-question-mark">           		    
-					<img src="style/images/question-mark.gif" 
-						 alt="<%= metaDataProperty.getDescription() %>" 
-					     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
-				</td>
- 			</tr>
-<%   			
+	           		    	type="<%= fieldType %>	"/>	
+				</div>    		    
+<%
+					if (metaDataProperty.getDescription() != null) {
+%>
+						<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
+<%		
+					}
 				}
-    			
-    			if (metaDataProperty.getDescription() != null) {
-%>
-			<tr>
-    	        <td></td>
-    	        <td class="config-property-description" colspan="2" >
-					<%= metaDataProperty.getDescription() %>
-    	        </td>
-			</tr>
-<%
-    			}
 			}
-%>
-
-			</table>
-<%
 		}
 	}
 %>
Index: lib/admin/geoserver-configuration.jsp
===================================================================
--- lib/admin/geoserver-configuration.jsp	(revision 4257)
+++ lib/admin/geoserver-configuration.jsp	(revision 4258)
@@ -39,7 +39,7 @@
 </head>
 <body>
 <img src="<%= request.getContextPath() %>/metacat-logo.png" width="100px" align="right"/> 
-<h2>MetaCat Properties Configuration</h2>
+<h2>Geoserver Configuration</h2>
 
 <p>Reset the geoserver password here.  If there are any issues, or you want to defer the password
    reset until later, choose to bypass this screen.  You can configure the password later by 
@@ -55,39 +55,24 @@
 
 	<h3>Geoserver Password Configuration</h3>
 	<hr class="config-line">
-	<table class="config-section"> 
-		<tr>
-			<td class="config-property-label">
-				<label for="geoserver.username" title="Geoserver user name">User Name</label>
-     		</td>	
-     		<td class="config-property-input" >	
-				<input id="geoserver.username" 
+	
+	<div class="form-row">
+				<img class="question-mark" src="style/images/question-mark.gif" 
+	           		 onClick="helpWindow('<%= request.getContextPath() %>','geoserverconfiguration.html')"/>
+				<div class="textinput-label"><label for="geoserver.username" title="Geoserver user name">User Name</label></div>
+				<input class="textinput" id="geoserver.username" 
 					   name="geoserver.username" 	             		    	    	           		    	             			
 	           		   value="<%= request.getAttribute("geoserver.username") %>"/> 
-			</td>
-			<td class="config-question-mark">
-				<img src="style/images/question-mark.gif" 
-	           		 alt="Geoserver user name" 
+	</div>
+	<div class="form-row">
+				<img class="question-mark" src="style/images/question-mark.gif" 
 	           		 onClick="helpWindow('<%= request.getContextPath() %>','geoserverconfiguration.html')"/>
-			</td>
-		</tr>
-		<tr>
-			<td class="config-property-label">
-				<label for="geoserver.password" title="Geoserver user name">Password</label>
-     		</td>	
-     		<td class="config-property-input" >	
-				<input id="geoserver.password" 
+				<div class="textinput-label"><label for="geoserver.password" title="Geoserver user name">Password</label></div>
+				<input class="textinput"  id="geoserver.password" 
 					   name="geoserver.password" 
 					   type="password"	             		    	    	           		    	             			
 	           		   value="<%= request.getAttribute("geoserver.password") %>"/> 
-			</td>
-			<td class="config-question-mark">
-				<img src="style/images/question-mark.gif" 
-	           		 alt="Geoserver user name" 
-	           		 onClick="helpWindow('<%= request.getContextPath() %>','geoserverconfiguration.html')"/>
-			</td>
-		</tr>
-	</table>
+	</div>
 
 	<input type="hidden" name="configureType" value="geoserver"/>
 	<input type="hidden" name="processForm" value="true"/>
Index: lib/admin/skins-configuration.jsp
===================================================================
--- lib/admin/skins-configuration.jsp	(revision 4257)
+++ lib/admin/skins-configuration.jsp	(revision 4258)
@@ -69,40 +69,34 @@
 
 	for (String skinName : skinNames) {
 %>
-	<table class="config-section">
-		<tr>
-			<td class="config-checkbox">
-				<input type="checkbox" 
+	<div>
+		<input class="checkradio" type="checkbox" 
 <%
 		if (skinName.equals(defaultStyle)) {
 %>
-				checked="yes"
+			checked="yes"
 <%
 		} 
 %>
-				name="<%= skinName %>.cb" id="<%= skinName %>.cb"onClick="toggleHiddenTable(this, 'hiding-section-<%= skinName %>')"/>
-			</td>
-			<td class="config-checkbox-label">	
-				<label for="<%= skinName %>.cb %>"><%= skinName %></label>
+			name="<%= skinName %>.cb" id="<%= skinName %>.cb"onClick="toggleHiddenTable(this, 'hiding-section-<%= skinName %>')"/>
+		<label class="checkradio-label" for="<%= skinName %>.cb %>"><%= skinName %></label>
 <%
 		if (skinName.equals(defaultStyle)) {
 %>		
-				<div style="display: inline;" id="hiding-default-<%= skinName %>"> (default)<div>	
+			<div class="checkradio-label-inline" id="hiding-default-<%= skinName %>"> (default)</div>	
 <%
 		} else {
 %>		
-				<div style="display: none;" id="hiding-default-<%= skinName %>"> (default)<div>	
+			<div class="checkradio-label-inline" style="display: none;" id="hiding-default-<%= skinName %>"> (default)</div>	
 <%
 		} 
 %>
-			</td> 
-		</tr>
-	</table>
-	<table class="config-section-hiding" 
+	</div>
+	<div class="hiding-section" 
 <%
 		if (skinName.equals(defaultStyle)) {
 %>
-				style="display: table;"
+				style="display: block;"
 <%
 		} 
 %>	
@@ -116,12 +110,7 @@
 			SortedMap<Integer, MetaDataProperty> propertyMap = metaData.getPropertiesInGroup(groupkey);
 			Set<Integer> propertyKeys = propertyMap.keySet();
 %>
-			<tr>
-				<td class="config-property-label" >
-					<label for="<%= skinName %>-radio"> Make  &quot;<%= skinName %>&quot; default </label>
-				</td>
-				<td class="config-property-input" >
-					<input type="radio" 
+					<input class="checkradio" type="radio" 
 <%
 			if (skinName.equals(defaultStyle)) {
 %>
@@ -130,22 +119,22 @@
 			} 
 %>
 					name="default-flag" id="<%= skinName %>-radio" value="<%= skinName %>" onChange="toggleHiddenDefaultText('default-flag', '<%= skinName %>')"/>
-				</td>
-			</tr>
+					<label class="checkradio-label" for="<%= skinName %>-radio"> Make  &quot;<%= skinName %>&quot; default </label>
 <%
 			for (Integer propertyKey : propertyKeys) {
 %>		
-			<tr>	
 <%		
 				MetaDataProperty metaDataProperty = propertyMap.get(propertyKey);							
 				String fieldType = metaDataProperty.getFieldType(); 
 				if (fieldType.equals("select")) {
-%> 
-				<td class="config-property-label">
-					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>  
-				</td>
-				<td class="config-property-input"> 			
-					<select name="<%= skinName %>.<%= metaDataProperty.getKey() %>">
+%>
+				<div class="form-row"> 
+					<img class="question-mark" src="style/images/question-mark.gif" 
+						 alt="<%= metaDataProperty.getDescription() %>" 
+						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')""/>
+					<label class="textinput-label" for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>  		
+					<select class="textinput" name="<%= skinName %>.<%= metaDataProperty.getKey() %>">
+
 <%
 					Vector<String> fieldOptionNames = metaDataProperty.getFieldOptionNames();
 					Vector<String> fieldOptionValues = metaDataProperty.getFieldOptionValues();
@@ -156,67 +145,71 @@
 					}
 %>
 					</select>
-				</td>
-				<td class="config-question-mark"> 
-					<img src="style/images/question-mark.gif" 
-						 alt="<%= metaDataProperty.getDescription() %>" 
-						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')""/><br/>
-				</td>
-
+				</div>
+<%
+					if (metaDataProperty.getDescription() != null) {
+%>
+						<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
 <%		
+					}   	
 				} else if (fieldType.equals("password")) {
-%>
-				<td class="config-property-label">
-					<label  for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
-				</td>
-				<td class="config-property-input"> 
-					<input id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+%>	
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif" 
+						 alt="<%= metaDataProperty.getDescription() %>" 
+						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+					<label class="textinput-label" for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+					<input class="textinput" id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
 							type="<%= fieldType %>"
 							alt="<%= metaDataProperty.getDescription() %>"/> 
-				</td>
-				<td class="config-question-mark"> 
-					<img src="style/images/question-mark.gif" 
+				</div>
+<%
+					if (metaDataProperty.getDescription() != null) {
+%>
+						<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
+<%		
+					}   		
+				} else if (fieldType.equals("checkbox")) {
+%>
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif" 
 						 alt="<%= metaDataProperty.getDescription() %>" 
-						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/><br/>
-				</td>
+						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+					<input class="checkradio" id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+						   type="<%= fieldType %>"
+						   alt="<%= metaDataProperty.getDescription() %>"/> 
+					<label class="checkradio-label" for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+				</div>
+<%
+					if (metaDataProperty.getDescription() != null) {
+%>
+						<div class="checkradio-description">[<%= metaDataProperty.getDescription() %>]</div>
 <%		
+					}
 				} else {
 %>
-				<td class="config-property-label">
-					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
-				</td>
-				<td class="config-property-input"> 
-					<input id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif" 
+						 alt="<%= metaDataProperty.getDescription() %>"
+						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+					<label class="textinput-label" for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
+					<input class="textinput" id="<%= skinName %>.<%= metaDataProperty.getKey() %>" name="<%= skinName %>.<%= metaDataProperty.getKey() %>" 
 							value="<%= skinProperties.get(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
 							type="<%= fieldType %>	"           			
-							alt="<%= metaDataProperty.getDescription() %>"/>	           		    
-				</td>
-				<td class="config-question-mark"> 
-					<img src="style/images/question-mark.gif" 
-						 alt="<%= metaDataProperty.getDescription() %>"
-						 onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/><br/>
-				</td>
-<%   			
-				}									
-%>
-			</tr>
+							alt="<%= metaDataProperty.getDescription() %>"/>	
+				</div>  
 <%
-				if (metaDataProperty.getDescription() != null) {
+					if (metaDataProperty.getDescription() != null) {
 %>
-				<tr>
-	    	        <td></td>
-	    	        <td class="config-property-description" colspan="2" >
-						<%= metaDataProperty.getDescription() %>
-	    	        </td>
-				</tr>
-<%
-	    		}
+						<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
+<%		
+					}         		      			
+				}									
 			}
 		}
 
 %>
-
-	</table>
+	</div>
 <%
 	}
 %>
Index: lib/admin/properties-configuration.jsp
===================================================================
--- lib/admin/properties-configuration.jsp	(revision 4257)
+++ lib/admin/properties-configuration.jsp	(revision 4258)
@@ -62,7 +62,6 @@
 %>
 		<h3><%= metaDataGroup.getName()  %></h3>
 		<hr class="config-line">
-		<table class="config-section">
 <%
 			// get all the properties in this group
 			Map<Integer, MetaDataProperty> propertyMap = 
@@ -74,12 +73,11 @@
     			String fieldType = metaDataProperty.getFieldType(); 
     			if (fieldType.equals("select")) {
 %> 
-			<tr>
-				<td class="config-property-label">
-     				<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>   
-     			</td>	
-     			<td class="config-property-input" >		
-					<select name="<%= metaDataProperty.getKey() %>">
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif"  
+							onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+     				<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>"><%= metaDataProperty.getLabel() %></label></div>
+					<select class="textinput" name="<%= metaDataProperty.getKey() %>">
 <%
 					Vector<String> fieldOptionValues = metaDataProperty.getFieldOptionValues();
 					Vector<String> fieldOptionNames = metaDataProperty.getFieldOptionNames();
@@ -90,70 +88,42 @@
 				}
 %>
 					</select>
-				</td>
-				<td class="config-question-mark">
-					<img src="style/images/question-mark.gif" 
-	           		       alt="<%= metaDataProperty.getDescription() %>" 
-	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
-				</td>
-			</tr>
-
+				</div>
 <%		
 				} else if (fieldType.equals("password")) {
 %>
-			<tr>
-				<td class="config-property-label">
-					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
-     			</td>	
-     			<td class="config-property-input" >	
-					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
+				<div class="form-row">
+					<img class="question-mark" src="style/images/question-mark.gif"  
+	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
+					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %>" ><%= metaDataProperty.getLabel() %></label></div>
+					<input class="textinput" id="<%= metaDataProperty.getKey() %>" 
+							name="<%= metaDataProperty.getKey() %>" 	             		    	    	           		    	             			
 	           		    	value="<%= request.getAttribute(metaDataProperty.getKey()) %>"
-	           		    	type="<%= fieldType %>"
-	           		    	alt="<%= metaDataProperty.getDescription() %>"/> 
-				</td>
-				<td class="config-question-mark">
-					<img src="style/images/question-mark.gif" 
-	           		       alt="<%= metaDataProperty.getDescription() %>" 
-	           		       onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
-				</td>
-			</tr>
-<%		
+	           		    	type="<%= fieldType %>"/> 
+				</div>
+<%
 				} else {
 %>
-			<tr>
-				<td class="config-property-label">
-					<label for="<%= metaDataProperty.getKey() %>" title="<%= metaDataProperty.getDescription() %>"><%= metaDataProperty.getLabel() %></label>
-     			</td>	
-     			<td class="config-property-input" >							
-					<input id="<%= metaDataProperty.getKey() %>" name="<%= metaDataProperty.getKey() %>" 
-	    			        value="<%= request.getAttribute(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
-	           		    	type="<%= fieldType %>	"           			
-	           		    	alt="<%= metaDataProperty.getDescription() %>"/>	
-	           	</td>
-				<td class="config-question-mark">           		    
-					<img class=question-mark 
+				<div class="form-row">
+					<img class="question-mark" class=question-mark 
 					     src="style/images/question-mark.gif" 
 					     onClick="helpWindow('<%= request.getContextPath() %>','<%= metaDataProperty.getHelpFile() %>')"/>
-				</td>
- 			</tr>
+					<div class="textinput-label"><label for="<%= metaDataProperty.getKey() %> "><%= metaDataProperty.getLabel() %></label>	</div>					
+					<input class="textinput" id="<%= metaDataProperty.getKey() %>" 
+							name="<%= metaDataProperty.getKey() %>" 
+	    			        value="<%= request.getAttribute(metaDataProperty.getKey()) %>"	             		    	    	           		    	             			
+	           		    	type="<%= fieldType %> "/>	
+				</div>          		    
 <%   			
 				}
     			
     			if (metaDataProperty.getDescription() != null) {
 %>
-			<tr>
-    	        <td></td>
-    	        <td class="config-property-description" colspan="2" >
-					<%= metaDataProperty.getDescription() %>
-    	        </td>
-			</tr>
+
+					<div class="textinput-description">[<%= metaDataProperty.getDescription() %>]</div>
 <%
     			}
 			}
-%>
-
-			</table>
-<%
 		}
 	}
 %>